import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const provinceGetPolicyAvicultureCommitService = createAsyncThunk(
  "PROVINCE_GET_POLICY_AVICULTURE_COMMIT_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("free_sale_within_province/");
    dispatch(LOADING_END());
    return { data, status };
  }
);
